> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Presentation Items



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/presentations/{presentationId}/items/{itemId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/presentations/{presentationId}/items/{itemId}:
    patch:
      tags:
        - Presentation Items
      summary: Update Presentation Items
      operationId: PresentationItemsController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
        - name: itemId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePresentationItemDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    UpdatePresentationItemDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        name:
          type: string
          minLength: 1
          maxLength: 200
        categoryId:
          type: string
          pattern: ^[1-9]\d{0,18}$
        productTypeId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d{0,18}$
            - type: 'null'
        columnsAttributes:
          type: object
          propertyNames:
            type: string
            minLength: 1
            maxLength: 200
          additionalProperties:
            anyOf:
              - type: string
                maxLength: 2000
              - type: number
              - type: boolean
              - type: 'null'
              - maxItems: 256
                type: array
                items:
                  type: string
                  maxLength: 2000
        manufacturerCompanyId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d{0,18}$
            - type: 'null'
        source:
          anyOf:
            - type: object
              properties:
                companyId:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
                officeId:
                  anyOf:
                    - type: string
                      pattern: ^[1-9]\d{0,18}$
                    - type: 'null'
              required:
                - companyId
                - officeId
              additionalProperties: false
            - type: 'null'
        sourceAttributes:
          type: object
          propertyNames:
            type: string
            minLength: 1
            maxLength: 200
          additionalProperties:
            anyOf:
              - type: string
                maxLength: 2000
              - type: number
              - type: boolean
              - type: 'null'
              - maxItems: 256
                type: array
                items:
                  type: string
                  maxLength: 2000
        images:
          maxItems: 20
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  uploadId:
                    type: string
                    pattern: >-
                      ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
                required:
                  - uploadId
                additionalProperties: false
              - type: object
                properties:
                  url:
                    type: string
                    minLength: 1
                    maxLength: 2048
                required:
                  - url
                additionalProperties: false
      required:
        - version
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.